Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.forms
Class AbsoluteFormsGenerator

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.forms.AbsoluteFormsGenerator

    public class AbsoluteFormsGenerator

extends Object

A utility class that creates a Jena Model in the absolute forms ontology from the forms represented in a Protege project.

Author:
  Holger Knublauch

Field Summary
`static String` | `ALL`
`static String` | `FILE_NAME`
`static String` | `MODIFIED`
`static boolean` | `optional`
`static String` | `PROTEGE_SYSTEM_FORMS_URI`
`static String` | `SAVE_FORMS_KEY`
`static String` | `SUFFIX`

Constructor Summary
`AbsoluteFormsGenerator(OWLModel owlModel)`

Method Summary
`com.hp.hpl.jena.rdf.model.Model` | `createModel(TripleStore ts, boolean all)` Creates a Jena Model that can be saved etc.
`void` | `generateFiles(String option)`
`static String` | `getFormsFileURI(TripleStore ts, OWLModel owlModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### optional

    public static boolean optional

### SAVE_FORMS_KEY

    public static final String SAVE_FORMS_KEY

### ALL

    public static final String ALL

See Also:
  Constant Field Values

### MODIFIED

    public static final String MODIFIED

See Also:
  Constant Field Values

### SUFFIX

    public static final String SUFFIX

See Also:
  Constant Field Values

### FILE_NAME

    public static final String FILE_NAME

See Also:
  Constant Field Values

### PROTEGE_SYSTEM_FORMS_URI

    public static final String PROTEGE_SYSTEM_FORMS_URI

See Also:
  Constant Field Values

Constructor Detail

### AbsoluteFormsGenerator

    public AbsoluteFormsGenerator(OWLModel owlModel)

Method Detail

### createModel

    public com.hp.hpl.jena.rdf.model.Model createModel(TripleStore ts,
                                                       boolean all)

  Creates a Jena Model that can be saved etc.

  Returns:
    the Jena Model for the current Project

### getFormsFileURI

    public static String getFormsFileURI(TripleStore ts,
                                         OWLModel owlModel)

### generateFiles

    public void generateFiles(String option)
                       throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.